---
TITLE:     Computational Documents
Date:   Wed Mar 20 13:19:19 2019 
---

This document gathers most references mentioned in the videos. This is a rather crude list.

Table of Contents<span class="tag" data-tag-name="TOC"></span>
==============================================================

-   [M2-S0: Computational Documents](#m2-s0-computational-documents)
-   [M2-S1: A few Recent Controversial Studies](#m2-s1-a-few-recent-controversial-studies)
    -   [Economy: Austerity in Fiscal Policy](#economy-austerity-in-fiscal-policy)
    -   [Functional MRI](#functional-mri)
    -   [Incorrect Protein Structures](#incorrect-protein-structures)
    -   [Other domains](#other-domains)
-   [M2-S2: Why is This so Difficult?](#m2-s2-why-is-this-so-difficult)
    -   [Mistakes](#mistakes)
    -   [Going Public?](#going-public)
-   [M2-S3: Computational Documents: Principles](#m2-s3-computational-documents-principles)
-   [M2-S5: Collaborating](#m2-s5-collaborating)
    -   [Preparing a Document for a Journal or a Conference](#preparing-a-document-for-a-journal-or-a-conference)
-   [M2-S6: Comparative Study](#m2-s6-comparative-study)
    -   [Exemples of Org-Mode documents](#exemples-of-org-mode-documents)

M2-S0: Computational Documents
==============================

M2-S1: A few Recent Controversial Studies
=========================================

Economy: Austerity in Fiscal Policy
-----------------------------------

-   [Reinhart et Rogoff](https://en.wikipedia.org/wiki/Growth_in_a_Time_of_Debt): *Growth in a Time of Debt*
-   Herndon, Ash et Pollin
-   Wray: combining data across centuries, exchange rate regimes,

Functional MRI
--------------

-   2010: [Bennett et al. and the dead salmon](https://www.researchgate.net/publication/255651552_Neural_correlates_of_interspecies_perspective_taking_in_the_post-mortem_Atlantic_Salmon_an_argument_for_multiple_comparisons_correction) ☺
-   2016: [Eklund, Nichols, and Knutsson](http://www.pnas.org/content/113/28/7900.abstract). [A bug in fmri software could invalidate 15 years of brain research](http://www.sciencealert.com/a-bug-in-fmri-software-could-invalidate-decades-of-brain-research-scientists-discover) (*40 000 articles*)
-   2016: But it's [more subtle than it looks like](https://www.cogneurosociety.org/debunking-the-myth-that-fmri-studies-are-invalid/). [Nichols](http://blogs.warwick.ac.uk/nichols/entry/bibliometrics_of_cluster/). *≈ 3 600 impacted studies*

Incorrect Protein Structures
----------------------------

[A "buggy software"](https://people.ligo-wa.caltech.edu/~michael.landry/calibration/S5/getsignright.pdf).

Other domains
-------------

-   [Oncology](http://www.nature.com/nrd/journal/v10/n9/full/nrd3439-c1.html?foxtrotcallback=true): "*half of published studies, even in prestigious journals, can't be reproduced in industrial labs*"
-   [Psychology](http://theconversation.com/we-found-only-one-third-of-published-psychology-research-is-reliable-now-what-46596): "*attempting to reproduce 100 previously published findings*, *only one-third of published psychology research was found to be reliable*"

M2-S2: Why is This so Difficult?
================================

Mistakes
--------

-   [Computers broke science](http://theconversation.com/how-computers-broke-science-and-what-we-can-do-to-fix-it-49938)
-   [Programming and data manipulation mistakes in Genomics](https://qz.com/768334/years-of-genomics-research-is-riddled-with-errors-thanks-to-a-bunch-of-botched-excel-spreadsheets/)

Going Public?
-------------

-   Someone may [benefit from my hard work](http://www.nature.com/news/the-top-100-papers-1.16224)

M2-S3: Computational Documents: Principles
==========================================

M2-S5: Collaborating
====================

Preparing a Document for a Journal or a Conference
--------------------------------------------------

Requirements for producing a **pdf**:

-   Internally, *pandoc*, *knitr* or *emacs/org-mode*
-   *LaTeX* should be installed

    -   <http://blog.juliusschulz.de/blog/ultimate-ipython-notebook>
        -   <https://github.com/kirbs-/hide_code> is a must-have
    -   <http://svmiller.com/blog/2016/02/svm-r-markdown-manuscript/>
    -   <https://github.com/balouf/Kleinberg/blob/master/KleinbergsGridSimulator.ipynb>

M2-S6: Comparative Study
========================

[Exemples of Org-Mode documents](../ressources/orgmode_examples/README.org)
---------------------------------------------------------------------------
