---
TITLE:     Le document computationnel
Date:   Wed Mar 20 13:19:19 2019 
---

Ce document rassemble la plupart des références mentionnées dans les vidéos. C'est une liste relativement grossière qui mériterait d'être améliorée.

Table des matières<span class="tag" data-tag-name="TOC"></span>
===============================================================

-   [M2-S0: Le document computationnel](#m2-s0-le-document-computationnel)
-   [M2-S1: Exemples récents d'études assez discutées](#m2-s1-exemples-récents-détudes-assez-discutées)
    -   [Économie: Politiques d'austérité](#économie-politiques-daustérité)
    -   [Les IRM fonctionnelles](#les-irm-fonctionnelles)
    -   [Les fausses structures de protéines](#les-fausses-structures-de-protéines)
    -   [Autres domaines](#autres-domaines)
-   [M2-S2: Pourquoi est-ce difficile?](#m2-s2-pourquoi-est-ce-difficile)
    -   [Les erreurs classiques](#les-erreurs-classiques)
    -   [Tout rendre publique ?](#tout-rendre-publique)
-   [M2-S3: Le document computationnel : principe](#m2-s3-le-document-computationnel-principe)
-   [M2-S5: Travailler avec les autres](#m2-s5-travailler-avec-les-autres)
    -   [Préparation d'un document pour un journal ou pour une conférence](#préparation-dun-document-pour-un-journal-ou-pour-une-conférence)
-   [M2-S6: Analyse comparée des différents outils](#m2-s6-analyse-comparée-des-différents-outils)
    -   [Exemples de document Org-Mode](#exemples-de-document-org-mode)

M2-S0: Le document computationnel
=================================

M2-S1: Exemples récents d'études assez discutées
================================================

Économie: Politiques d'austérité
--------------------------------

-   [Reinhart et Rogoff](https://en.wikipedia.org/wiki/Growth_in_a_Time_of_Debt): *Growth in a Time of Debt*
-   Herndon, Ash et Pollin
-   Wray: combining data across centuries, exchange rate regimes,

Les IRM fonctionnelles
----------------------

-   2010: [Bennett et al.: le saumon mort](https://www.researchgate.net/publication/255651552_Neural_correlates_of_interspecies_perspective_taking_in_the_post-mortem_Atlantic_Salmon_an_argument_for_multiple_comparisons_correction) ☺
-   2016: [Eklund, Nichols, and Knutsson](http://www.pnas.org/content/113/28/7900.abstract). [Un bug dans les logiciels d'IRM pourrait invalider 15 années de recherche sur le cerveau](http://www.sciencealert.com/a-bug-in-fmri-software-could-invalidate-decades-of-brain-research-scientists-discover) (*40 000 articles*)
-   2016: C'est [plus subtil que ça](https://www.cogneurosociety.org/debunking-the-myth-that-fmri-studies-are-invalid/). [D'après Nichols, un des auteurs de l'article d'origine](http://blogs.warwick.ac.uk/nichols/entry/bibliometrics_of_cluster/), c'est plutôt de l'ordre de *3 600 études qui seraient potentiellement impactées*.

Les fausses structures de protéines
-----------------------------------

[A "buggy software"](https://people.ligo-wa.caltech.edu/~michael.landry/calibration/S5/getsignright.pdf).

Autres domaines
---------------

-   [Oncologie](http://www.nature.com/nrd/journal/v10/n9/full/nrd3439-c1.html?foxtrotcallback=true): "*half of published studies, even in prestigious journals, can't be reproduced in industrial labs*"
-   [Psychologie](http://theconversation.com/we-found-only-one-third-of-published-psychology-research-is-reliable-now-what-46596): "*attempting to reproduce 100 previously published findings*, *only one-third of published psychology research was found to be reliable*"

M2-S2: Pourquoi est-ce difficile?
=================================

Les erreurs classiques
----------------------

-   [Enquoi les ordinateurs ont "cassé" la science](http://theconversation.com/how-computers-broke-science-and-what-we-can-do-to-fix-it-49938)
-   [Erreurs de programmation et de manipulation de données en génomique](https://qz.com/768334/years-of-genomics-research-is-riddled-with-errors-thanks-to-a-bunch-of-botched-excel-spreadsheets/)

Tout rendre publique ?
----------------------

-   Quelqu'un pourrait [tirer parti de mon dur labeur](http://www.nature.com/news/the-top-100-papers-1.16224)

M2-S3: Le document computationnel : principe
============================================

M2-S5: Travailler avec les autres
=================================

Préparation d'un document pour un journal ou pour une conférence
----------------------------------------------------------------

De quoi aurez-vous besoin pour produire un document **pdf**:

-   En interne: *pandoc*, *knitr* ou *emacs/org-mode*.
-   *LaTeX* devra aussi être installé

Voici quelques billets intéressants sur le sujet:

-   <http://blog.juliusschulz.de/blog/ultimate-ipython-notebook>
    -   <https://github.com/kirbs-/hide_code> is a must-have
-   <http://svmiller.com/blog/2016/02/svm-r-markdown-manuscript/>
-   <https://github.com/balouf/Kleinberg/blob/master/KleinbergsGridSimulator.ipynb>

M2-S6: Analyse comparée des différents outils
=============================================

[Exemples de document Org-Mode](../ressources/orgmode_examples/README_fr.org)
-----------------------------------------------------------------------------
